For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/api/latest/rum/get-service-repository-information.md. A documentation index is available at /llms.txt.

Get service repository information

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/sourcemaps/service_repository_infohttps://api.ap2.datadoghq.com/api/v2/sourcemaps/service_repository_infohttps://api.datadoghq.eu/api/v2/sourcemaps/service_repository_infohttps://api.ddog-gov.com/api/v2/sourcemaps/service_repository_infohttps://api.us2.ddog-gov.com/api/v2/sourcemaps/service_repository_infohttps://api.uk1.datadoghq.com/api/v2/sourcemaps/service_repository_infohttps://api.datadoghq.com/api/v2/sourcemaps/service_repository_infohttps://api.us3.datadoghq.com/api/v2/sourcemaps/service_repository_infohttps://api.us5.datadoghq.com/api/v2/sourcemaps/service_repository_info

Overview

Returns the repository URL and commit SHA associated with a given service and version. This endpoint requires the rum_apps_read permission.

Request

Body Data (required)

Expand All

Field

Type

Description

data [required]

object

Data object for the service repository info request.

attributes [required]

object

Attributes for the service repository info request.

service [required]

string

The name of the service.

version [required]

string

The version of the service.

type [required]

enum

The resource type for service repository info objects. Allowed enum values: service_repository_info

{
  "data": {
    "attributes": {
      "service": "my-web-service",
      "version": "1.0.0"
    },
    "type": "service_repository_info"
  }
}

Response

OK

Response containing service repository information.

Expand All

Field

Type

Description

data [required]

object

Data object for the service repository info response.

attributes [required]

object

Attributes of the service repository information.

commit_sha

string

The SHA of the commit associated with the service version.

repository_url

string

The URL of the source code repository.

status [required]

enum

The status of the service repository info lookup. Allowed enum values: success,not_found,no_repository,internal_error,unknown

id [required]

string

The identifier composed of the service name and version.

type [required]

enum

The resource type for service repository info objects. Allowed enum values: service_repository_info

{
  "data": {
    "attributes": {
      "commit_sha": "abc123def456789",
      "repository_url": "https://github.com/my-org/my-repo",
      "status": "success"
    },
    "id": "my-web-service:1.0.0",
    "type": "service_repository_info"
  }
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Internal Server Error

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Code Example

                  ## default
# 

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/sourcemaps/service_repository_info" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "service": "my-web-service", "version": "1.0.0" }, "type": "service_repository_info" } } EOF